<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Assignment 4 & 5</title>
    <style>
        
        body{
            background-color: #e6e2d3;
        }
        fieldset{
            background-color: #c4b7a6;
        }
    </style>
</head>
<body>
    <?php
        include('includes/header.php');
    ?>
    <form action="handle_form.php" method="post">
        <fieldset> 
            <!-- Contact Information: First name, last name, student id -->
            <h2>Contact Information:</h2>
            <p>First Name: 
                <input type="text" name="fname" size="20" maxlength="40">
            </p> 
            <p>Last Name: 
                <input type="text" name="lname" size="20" maxlength="40">
            </p> 
            <p>Student ID: 
                <input type="text" name="studentId" size="40" maxlength="60">
            </p>
            <p>Email Address: 
                <input type="email" name="email" size="40" maxlength="60">
            </p> 
            <h2>Tech Description:</h2>
            
            
            <?php
                $months = array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
                $days = range(1, 31);
                $years = range(2024, 2000);
            ?>
            <p>Start of Issue Date: 
                <select name="month">
                    <option value="">Month</option>
                    <?php foreach($months as $month): ?>
                        <option value="<?php echo $month; ?>"><?php echo $month; ?></option>
                    <?php endforeach; ?>
                </select>
                <select name="day">
                    <option value="">Day</option>
                    <?php foreach($days as $day): ?>
                        <option value="<?php echo $day; ?>"><?php echo $day; ?></option>
                    <?php endforeach; ?>
                </select>
                <select name="year">
                    <option value="">Year</option>
                    <?php foreach($years as $year): ?>
                        <option value="<?php echo $year; ?>"><?php echo $year; ?></option>
                    <?php endforeach; ?>
                </select><br>
            </p>
            <p>Device Type: <br> <!-- Radio button --> 
                <input type="radio" name="device1" value="computer"> Computer <br>
                <input type="radio" name="device2" value="phone"> Phone <br>
                <input type="radio" name="device3" value="other"> Other  <br>
            </p>
            <p>Problem Type: <br>
                <input type="checkbox" name="problem1" value="malware"> Malware
                <input type="checkbox" name="problem2" value="hardware"> Hardware
                <input type="checkbox" name="problem3" value="unknown"> Unknown<br>
            </p>
            <p>
                Additional Comments: <br> 
                <textarea name="comments" rows="3" cols="40"></textarea>
            </p>
        </fieldset>
        <p align="center">
            <input type="submit" name="submit" value="Submit My Information">
        </p>

    </form>
    <?php
        include('includes/footer.php');

    ?>
</body>
</html>